com.io7m.r2.core

## Enum R2CopyDepth

- java.lang.Object
- - java.lang.Enum<R2CopyDepth>
  - - com.io7m.r2.core.R2CopyDepth

- All Implemented Interfaces:
    Serializable, Comparable<R2CopyDepth>

      public enum R2CopyDepth
      extends Enum<R2CopyDepth>

  A specification of whether or not a depth buffer should be copied.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `R2_COPY_DEPTH_DISABLED` The depth buffer should not be copied.
    `R2_COPY_DEPTH_ENABLED` The depth buffer should be copied.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static R2CopyDepth` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static R2CopyDepth[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### R2_COPY_DEPTH_ENABLED

          public static final R2CopyDepth R2_COPY_DEPTH_ENABLED

      The depth buffer should be copied.

    - #### R2_COPY_DEPTH_DISABLED

          public static final R2CopyDepth R2_COPY_DEPTH_DISABLED

      The depth buffer should not be copied.

  - ### Method Detail

    - #### values

          public static R2CopyDepth[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (R2CopyDepth c : R2CopyDepth.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static R2CopyDepth valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2017 <code@io7m.com> http://io7m.com